• Install `libinput` driver for touchpad


    Because Gnome 3.22 uses xf86-input-libinput driver, I want to change to it from synaptics. The problem is that I uninstall synaptics and installed libinput, created the configuration file as in the Arch wiki, but after reboot my touchpad doesn’t work. It works only with synaptics. How can I make it to work because I need natural scrolling and horizontal scrolling.

  • Did you notice this section at the very end of ArchWiki’s article? Apparently, it speaks about your problem.

  • @just I made that, didn’t helped. :(

  • Also, I have checked the x11 logs and it only loads the synaptics driver, even it is not installed

  • Please, share the full output of:

    pacman -Q not-installed libinput xf86-input-libinput xf86-input-synaptics
    

    The output looks like:

    $ pacman -Q not-installed libinput xf86-input-libinput xf86-input-synaptics
    error: package 'not-installed' was not found
    libinput 1.5.2-1
    xf86-input-libinput 0.22.0-1
    xf86-input-synaptics 1.8.99.1-1
    $
    
  • @just It’s ok now, I have made it to work. Thanks

  • OK, marking the topic as [Solved] then.

  • I have the same problem here. Please share your solution!

  • This post is deleted!
  • Thanks for the Links. Found a solution:
    sudo pacman -S xf86-input-libinput && sudo pacman -R xf86-input-synaptics && sudo mv /etc/X11/xorg.conf.d/50-synaptics.conf ~/

  • @denlud Great.

    We are missing a [Double Solved] button :) , aren’t we?

driver37 libinput2 touchpad31 Posts 12Views 1608
Log in to reply